package com.jxml.quick.util.qjml4;

import com.jxml.quick.QBiModal;
import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMValue extends QGBase implements QGBaseIntf {

    public String text;

    public QMValue(String text) {
        this.text = text;
    }

    public String toString()
    {
	return text;
    }

    public void cvt()
	throws SAXException
    {
	addStringAttribute("value",text);
	startElement("enum");
	endElement("enum");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element value");
        pw.println(indent + "text = " + text);
    }

}
